## Create image

**post** `/images/generations`

Creates an image given a prompt using a GPT Image model. [Learn more](/api/docs/guides/images-vision).

### Body Parameters

- `model: string or ImageModel`

  The GPT image model to use for image generation. Specify a model explicitly. Supported models include `gpt-image-1`, `gpt-image-1-mini`, `gpt-image-1.5`, `gpt-image-2`, `gpt-image-2-2026-04-21`, `gpt-image-2.5-sunburst`, `gpt-image-2.5-sunburst-2026-09-08`, `gpt-image-2.5-flare`, `gpt-image-2.5-flare-2026-09-08`, and `chatgpt-image-latest`.

  - `string`

  - `ImageModel = "gpt-image-1.5" or "gpt-image-2" or "gpt-image-2-2026-04-21" or 9 more`

    - `"gpt-image-1.5"`

    - `"gpt-image-2"`

    - `"gpt-image-2-2026-04-21"`

    - `"gpt-image-2.5-sunburst"`

    - `"gpt-image-2.5-sunburst-2026-09-08"`

    - `"gpt-image-2.5-flare"`

    - `"gpt-image-2.5-flare-2026-09-08"`

    - `"gpt-image-1"`

    - `"gpt-image-1-mini"`

    - `"chatgpt-image-latest"`

    - `"dall-e-2"`

    - `"dall-e-3"`

- `prompt: string`

  A text description of the desired image(s). The maximum length is 32000 characters.

- `background: optional "transparent" or "opaque" or "auto" or null`

  Set the background of the generated image(s). This parameter is only supported for
  the GPT image models. Must be one of `transparent`, `opaque`, or `auto` (default
  value). When `auto` is used, the model will automatically determine the best
  background for the image.

  `gpt-image-2.5-sunburst` and `gpt-image-2.5-flare`, including their `2026-09-08`
  snapshots, support `opaque` and `transparent` backgrounds. Transparent backgrounds
  are available for supported GPT Image models. For `gpt-image-2` and
  `gpt-image-2-2026-04-21`, this support is in preview. When using `transparent`,
  set the output format to `png` or `webp`.

  - `"transparent"`

  - `"opaque"`

  - `"auto"`

- `moderation: optional "low" or "auto" or null`

  Control the content-moderation level for images generated by the GPT image models. Must be either `low` for less restrictive filtering or `auto` (default value).

  - `"low"`

  - `"auto"`

- `n: optional number or null`

  The number of images to generate. Must be between 1 and 10.

- `output_compression: optional number or null`

  The compression level (0-100%) for the generated images. This parameter is only supported for the GPT image models with the `webp` or `jpeg` output formats, and defaults to 100.

- `output_format: optional "png" or "jpeg" or "webp" or null`

  The format in which the generated images are returned. This parameter is only supported for the GPT image models. Must be one of `png`, `jpeg`, or `webp`.

  - `"png"`

  - `"jpeg"`

  - `"webp"`

- `partial_images: optional number or null`

  The number of partial images to generate. This parameter is used for
  streaming responses that return partial images. Value must be between 0 and 3.
  When set to 0, the response will be a single image sent in one streaming event.

  Note that the final image may be sent before the full number of partial images
  are generated if the full image is generated more quickly.

- `quality: optional "low" or "medium" or "high" or 5 more or null`

  The quality of the image that will be generated.

  - `auto` (default value) will automatically select the best quality for the given
    model.
  - `high`, `medium` and `low` are supported for the GPT image models.
  - `gpt-image-2.5-sunburst` and `gpt-image-2.5-flare`, including their `2026-09-08`
    snapshots, also support `xhigh` and `max`.

  - `"low"`

  - `"medium"`

  - `"high"`

  - `"xhigh"`

  - `"max"`

  - `"auto"`

  - `"standard"`

  - `"hd"`

- `response_format: optional "url" or "b64_json" or null`

  Legacy response format parameter for retired image models. Unsupported for GPT image models, which always return base64-encoded images.

  - `"url"`

  - `"b64_json"`

- `safety_identifier: optional string or null`

  A stable identifier for an end user in your organization, used for safety monitoring and abuse detection. Hash a username or email address to avoid sending identifying information. A non-empty value takes precedence over the deprecated `user` parameter. If omitted, null, or empty, the API uses `user` when available. [Learn more](/api/docs/guides/safety-best-practices#implement-safety-identifiers).

- `size: optional string or "auto" or "1024x1024" or "1536x1024" or 5 more or null`

  The size of the generated images. For `gpt-image-2`, `gpt-image-2-2026-04-21`, `gpt-image-2.5-sunburst`, `gpt-image-2.5-sunburst-2026-09-08`, `gpt-image-2.5-flare`, and `gpt-image-2.5-flare-2026-09-08`, arbitrary resolutions are supported as `WIDTHxHEIGHT` strings, for example `1536x864`. Width and height must both be divisible by 16 and the requested aspect ratio must be between 1:3 and 3:1. Resolutions above `2560x1440` are experimental, and the maximum supported resolution is `3840x2160`. The requested size must also satisfy the model's current pixel and edge limits. The standard sizes `1024x1024`, `1536x1024`, and `1024x1536` are supported by the GPT image models; `auto` is supported for models that allow automatic sizing.

  - `string`

  - `"auto" or "1024x1024" or "1536x1024" or 5 more`

    The size of the generated images. For `gpt-image-2`, `gpt-image-2-2026-04-21`, `gpt-image-2.5-sunburst`, `gpt-image-2.5-sunburst-2026-09-08`, `gpt-image-2.5-flare`, and `gpt-image-2.5-flare-2026-09-08`, arbitrary resolutions are supported as `WIDTHxHEIGHT` strings, for example `1536x864`. Width and height must both be divisible by 16 and the requested aspect ratio must be between 1:3 and 3:1. Resolutions above `2560x1440` are experimental, and the maximum supported resolution is `3840x2160`. The requested size must also satisfy the model's current pixel and edge limits. The standard sizes `1024x1024`, `1536x1024`, and `1024x1536` are supported by the GPT image models; `auto` is supported for models that allow automatic sizing.

    - `"auto"`

    - `"1024x1024"`

    - `"1536x1024"`

    - `"1024x1536"`

    - `"256x256"`

    - `"512x512"`

    - `"1792x1024"`

    - `"1024x1792"`

- `stream: optional boolean or null`

  Generate the image in streaming mode. Defaults to `false`. See the
  [Image generation guide](/api/docs/guides/image-generation) for more information.
  This parameter is only supported for the GPT image models.

- `style: optional "vivid" or "natural" or null`

  Legacy style parameter for retired image models. Unsupported for GPT image models; describe the desired style in the prompt instead.

  - `"vivid"`

  - `"natural"`

- `user: optional string`

  Deprecated: use `safety_identifier` instead. This parameter remains accepted for backward compatibility and is used when `safety_identifier` is omitted, null, or empty. [Learn more](/api/docs/guides/safety-best-practices#implement-safety-identifiers).

### Returns

- `ImagesResponse object { created, background, data, 5 more }`

  The response from the image generation endpoint.

  - `created: number`

    The Unix timestamp (in seconds) of when the image was created.

  - `background: optional "transparent" or "opaque"`

    The background parameter used for the image generation. Either `transparent` or `opaque`.

    - `"transparent"`

    - `"opaque"`

  - `data: optional array of Image`

    The list of generated images.

    - `b64_json: optional string`

      The base64-encoded JSON of the generated image. Returned by default for GPT image models, or when `response_format` is set to `b64_json` for models that support that parameter.

    - `revised_prompt: optional string`

      The revised prompt used to generate the image, for models that support prompt revision. Not returned by GPT image models.

    - `url: optional string`

      The URL of the generated image when `response_format` is set to `url` for models that support that parameter. Unsupported for GPT image models.

  - `output_format: optional "png" or "webp" or "jpeg"`

    The output format of the image generation. Either `png`, `webp`, or `jpeg`.

    - `"png"`

    - `"webp"`

    - `"jpeg"`

  - `quality: optional "low" or "medium" or "high" or 2 more`

    The quality of the image generated. One of `low`, `medium`, `high`, `xhigh`, or `max`.

    - `"low"`

    - `"medium"`

    - `"high"`

    - `"xhigh"`

    - `"max"`

  - `safety_identifier: optional string or null`

    The effective safety identifier used for safety monitoring and abuse detection. This is the non-empty `safety_identifier` from the request, or the deprecated `user` value when `safety_identifier` is omitted, null, or empty.

  - `size: optional string or "1024x1024" or "1024x1536" or "1536x1024"`

    The image dimensions as a `WIDTHxHEIGHT` string, for example `1536x864`.

    - `string`

    - `"1024x1024" or "1024x1536" or "1536x1024"`

      The image dimensions as a `WIDTHxHEIGHT` string, for example `1536x864`.

      - `"1024x1024"`

      - `"1024x1536"`

      - `"1536x1024"`

  - `usage: optional object { input_tokens, input_tokens_details, output_tokens, 2 more }`

    For `gpt-image-1` only, the token usage information for the image generation.

    - `input_tokens: number`

      The number of tokens (images and text) in the input prompt.

    - `input_tokens_details: object { image_tokens, text_tokens }`

      The input tokens detailed information for the image generation.

      - `image_tokens: number`

        The number of image tokens in the input prompt.

      - `text_tokens: number`

        The number of text tokens in the input prompt.

    - `output_tokens: number`

      The number of output tokens generated by the model.

    - `total_tokens: number`

      The total number of tokens (images and text) used for the image generation.

    - `output_tokens_details: optional object { image_tokens, text_tokens }`

      The output token details for the image generation.

      - `image_tokens: number`

        The number of image output tokens generated by the model.

      - `text_tokens: number`

        The number of text output tokens generated by the model.

### Example

```http
curl https://api.openai.com/v1/images/generations \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -d '{
          "model": "gpt-image-2.5-flare",
          "prompt": "A cute baby sea otter",
          "background": "transparent",
          "moderation": "low",
          "n": 1,
          "output_compression": 100,
          "output_format": "png",
          "partial_images": 1,
          "quality": "medium",
          "safety_identifier": "user-1234",
          "size": "1024x1024",
          "style": "vivid",
          "user": "user-1234"
        }'
```

#### Response

```json
{
  "created": 0,
  "background": "transparent",
  "data": [
    {
      "b64_json": "b64_json",
      "revised_prompt": "revised_prompt",
      "url": "https://example.com"
    }
  ],
  "output_format": "png",
  "quality": "low",
  "safety_identifier": "safety_identifier",
  "size": "1024x1024",
  "usage": {
    "input_tokens": 0,
    "input_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    },
    "output_tokens": 0,
    "total_tokens": 0,
    "output_tokens_details": {
      "image_tokens": 0,
      "text_tokens": 0
    }
  }
}
```

### Generate image

```http
curl https://api.openai.com/v1/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -d '{
    "model": "gpt-image-2.5-flare",
    "prompt": "A cute baby sea otter",
    "n": 1,
    "size": "1024x1024"
  }'
```

#### Response

```json
{
  "created": 1713833628,
  "data": [
    {
      "b64_json": "..."
    }
  ],
  "usage": {
    "total_tokens": 100,
    "input_tokens": 50,
    "output_tokens": 50,
    "input_tokens_details": {
      "text_tokens": 10,
      "image_tokens": 40
    }
  }
}
```

### Streaming

```http
curl https://api.openai.com/v1/images/generations \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -d '{
    "model": "gpt-image-2.5-flare",
    "prompt": "A cute baby sea otter",
    "n": 1,
    "size": "1024x1024",
    "stream": true
  }' \
  --no-buffer
```

#### Response

```json
event: image_generation.partial_image
data: {"type":"image_generation.partial_image","b64_json":"...","partial_image_index":0}

event: image_generation.completed
data: {"type":"image_generation.completed","b64_json":"...","usage":{"total_tokens":100,"input_tokens":50,"output_tokens":50,"input_tokens_details":{"text_tokens":10,"image_tokens":40}}}
```
